function is_compressed, filename

; This function returns value of true if file is compressed (based on file
; name extension) or false otherwise.
;
; Example:
;    if is_compressed(uffile) then tmpname = rsl_uncompress(uffile)
;

compressed = 0

fnamextn = strmid(filename, strlen(filename)-3)
compressed = fnamextn eq '.gz' or strmid(fnamextn,1) eq '.z' or $
    strmid(fnamextn,1) eq '.Z'

; Also check for gzip magic number.
if not compressed then begin
    magic = bytarr(2)
    openr, iunit, filename, /get_lun
    readu, iunit, magic
    free_lun, iunit
    compressed = magic[0] eq '37'o and magic[1] eq '213'o
endif

return, compressed
end
