function rsl_open_radar_file, radarfile, error=error, _EXTRA=keywords

; Open radar file, uncompressing if necessary.  Function returns logical unit
; number.

error = 0
unit = -3 ; Initialize with a nonvalid unit. (-1 is stdout, -2 is stderr.)

if not file_test(radarfile) then begin
    message, 'No such file: ' + radarfile, /continue
    error = 1
    return, unit
endif

; I use subscript "[0]" to pass file name by value.
if is_compressed(radarfile[0]) then begin
    tmp_file = rsl_uncompress(radarfile[0],error=error)
    if not error then openr, iunit, tmp_file, /get_lun, /delete, _EXTRA=keywords
endif else openr, iunit, radarfile, /get_lun, _EXTRA=keywords

return, iunit
end
