pro rsl_radar_to_uf_gzip, radar, uf_file

; Write the data from a Radar structure to a file in Universal Format and
; compress the file using gzip.
;
; Syntax:
;     rsl_radar_to_uf_gzip, radar, uf_file
;
; Inputs:
;     radar:    a Radar data structure.
;     uf_file:  a string expression containing the name of the output UF file
;               to be created. There's no need to include the '.gz' extension
;               in the file name--it will be added by gzip.
; Requirements:
;     gzip must be installed on your system. If you don't have gzip, it is
;     available at http://www.gnu.org.
;**************************************************************************

outfile = uf_file

; If filename contains '.gz', remove it.  That suffix is added by gzip.
if strmid(uf_file,strlen(uf_file)-3) eq '.gz' then $
    outfile = strmid(uf_file,0,strlen(uf_file)-3)

rsl_radar_to_uf, radar, outfile  ; create the uf file.

spawn, 'gzip ' + outfile   ; spawn process for gzip.
end
